<?php

namespace App\Entities\ComandaLancamento;

use App\Utils\Entity;

class ComandaLancamento extends Entity {
	protected $id;
	protected $comanda_item_id;
	protected $comanda_fechamento_id;
	protected $criado_por;
	protected $data_criacao;
	protected $hora_criacao;
	protected $atualizado_por;
	protected $data_atualizacao;
	protected $hora_atualizacao;
	protected $extornado;

	public static function builder(): ComandaLancamentoBuilder {

		return (new ComandaLancamentoBuilder());

	}

	/**
	 *
	 * @return mixed
	 */
	public function getId(): int {

		return $this->id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getExtornado() {

		return $this->extornado;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComanda_item_id(): int {

		return $this->comanda_item_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getComanda_fechamento_id(): int {

		return $this->comanda_fechamento_id;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getCriado_por(): int {

		return $this->criado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_criacao(): string {

		return $this->data_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_criacao(): string {

		return $this->hora_criacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getAtualizado_por() {

		return $this->atualizado_por;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getData_atualizacao(): string {

		return $this->data_atualizacao;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getHora_atualizacao(): string {

		return $this->hora_atualizacao;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): void {

		$this->id = $id;

	}

	/**
	 *
	 * @param mixed $extornado
	 */
	public function setExtornado($extornado): void {

		$this->extornado = $extornado;

	}

	/**
	 *
	 * @param mixed $comanda_item_id
	 */
	public function setComanda_item_id($comanda_item_id): void {

		$this->comanda_item_id = $comanda_item_id;

	}

	/**
	 *
	 * @param mixed $comanda_fechamento_id
	 */
	public function setComada_fechamento_id($comanda_fechamento_id): void {

		$this->comanda_fechamento_id = $comanda_fechamento_id;

	}

	/**
	 *
	 * @param mixed $criado_por
	 */
	public function setCriado_por($criado_por): void {

		$this->criado_por = $criado_por;

	}

	/**
	 *
	 * @param mixed $data_criacao
	 */
	public function setData_criacao($data_criacao): void {

		$this->data_criacao = $data_criacao;

	}

	/**
	 *
	 * @param mixed $hora_criacao
	 */
	public function setHora_criacao($hora_criacao): void {

		$this->hora_criacao = $hora_criacao;

	}

	/**
	 *
	 * @param mixed $atualizado_por
	 */
	public function setAtualizado_por($atualizado_por): void {

		$this->atualizado_por = $atualizado_por;

	}

	/**
	 *
	 * @param mixed $data_atualizacao
	 */
	public function setData_atualizacao($data_atualizacao): void {

		$this->data_atualizacao = $data_atualizacao;

	}

	/**
	 *
	 * @param mixed $hora_atualizacao
	 */
	public function setHora_atualizacao($hora_atualizacao): void {

		$this->hora_atualizacao = $hora_atualizacao;

	}

}

